Loading...
Searching...
No Matches
TrcMemAccCache Class Reference

`#include <trc_mem_acc_cache.h>`

## Public Member Functions

| TrcMemAccCache ()
| ~TrcMemAccCache ()
void | enableCaching (bool bEnable)
void | invalidateAll ()
const bool | enabled () const
const bool | enabled_for_size (const uint32_t reqSize) const
ocsd_err_t | readBytesFromCache (TrcMemAccessorBase *p_accessor, const ocsd_vaddr_t address, const ocsd_mem_space_acc_t mem_space, const uint8_t trcID, uint32_t *numBytes, uint8_t *byteBuffer)
void | setErrorLog (ITraceErrorLog *log)
void | logAndClearCounts ()

## Detailed Description

class TrcMemAccCache - cache small amounts of data from accessors to speed up decode.

Definition at line 58 of file trc_mem_acc_cache.h.

## Constructor & Destructor Documentation

## TrcMemAccCache()

TrcMemAccCache::TrcMemAccCache | ( |  | ) |

inline

Definition at line 100 of file trc_mem_acc_cache.h.

## ~TrcMemAccCache()

TrcMemAccCache::~TrcMemAccCache | ( |  | ) |

inline

Definition at line 62 of file trc_mem_acc_cache.h.

## Member Function Documentation

## enableCaching()

void TrcMemAccCache::enableCaching | ( | bool | bEnable | ) |

inline

Definition at line 64 of file trc_mem_acc_cache.h.

## enabled()

const bool TrcMemAccCache::enabled | ( |  | ) | const

inline

Definition at line 66 of file trc_mem_acc_cache.h.

## enabled_for_size()

const bool TrcMemAccCache::enabled_for_size | ( | const uint32_t | reqSize | ) | const

inline

Definition at line 67 of file trc_mem_acc_cache.h.

## invalidateAll()

void TrcMemAccCache::invalidateAll | ( |  | ) |

inline

Definition at line 136 of file trc_mem_acc_cache.h.

## logAndClearCounts()

void TrcMemAccCache::logAndClearCounts | ( |  | ) |

## readBytesFromCache()

ocsd_err_t TrcMemAccCache::readBytesFromCache | ( | TrcMemAccessorBase * | p_accessor,
|  | const ocsd_vaddr_t | address,
|  | const ocsd_mem_space_acc_t | mem_space,
|  | const uint8_t | trcID,
|  | uint32_t * | numBytes,
|  | uint8_t * | byteBuffer
| ) |  |

read bytes from cache if possible - load new page if needed, bail out if data not available

## setErrorLog()

void TrcMemAccCache::setErrorLog | ( | ITraceErrorLog * | log | ) |

The documentation for this class was generated from the following file:

- /build/libopencsd-16huoW/libopencsd-1.4.1/decoder/include/mem_acc/trc_mem_acc_cache.h